function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gav()
-- if flags.comend then
     playeffect("gav");
-- return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
  if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
add_free_leaf("map20",19,101);
set_satelite_leaf("daus_vhod");
DoFile(19,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
  if sender==12 then
  
  if SLevel==1.0 then return;end;
  if last_id==obj_id then
    if flags.loc1 then
      if flags.loc1 and flags.loc2 and flags.minicomplete47 and flags.minicomplete22 then
        flags.loc1= false;
        flags.levelcomplete=true;
        DarkScreen(true);
        ShowMenu(false)
      return; end;    
    CreateWindow(150,250,"199",nil,nil,250,30); 
    return;end;
  return;end;
  return;end;

if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
      AddParticleToObject(11,"pu4ok1",199,472);
      MoveEmiter("pu4ok1",199,472);
      if (not flags.minicomplete20) then
        StartEmiter("pu4ok1"); 
      end;
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
      if flags.mess then
       CreateWindow(150,250,"266",nil,nil,250,30);  
      flags.mess= false;
      end;
savegame(SaveLevel());      
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      last_id=obj_id
      if obj_id==11 then
      if (not flags.minicomplete20) then
        if attachedID ==225 then 
          playeffect("29");
          RemoveFromMouse(attachedID);  
          add_free_leaf("Root","mini20",0,30);
          set_satelite_leaf("daus_vhod");
          DoFile(0,30)
          mini_create();
          flags.nohints=true;
          
         return; end;
         if (attachedID ~= 225) and  (attachedID > -1)  then
         RemoveFromMouse(object);
          CreateWindow(150,250,"201",nil,nil,250,30);
         return; end;    
        if attachedID == -1 then
          CreateWindow(150,250,"202",nil,nil,250,30);
         return; end;  
      return; end;
      return; end;
--if (not flags.vhod) then
      if attachedID == -1 then
      if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          LoadNextLevel()
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;        
      if flags.minicomplete20 then
        if obj_id ==43 then      
          if not flags.firstloc2 then
            flags.firstloc2 =true;
            collaps_obj(128,0,0,10,1);
            AddElement("gr",128);
            SetAlfaSheet(2.5)
            setcolor(128,0,0,0,0.5,1);
            MoveObjectToTree(128);
            flags.display = true;
            setcurentleaf("daus_bar",19,1);
            playeffect("door");  
            SwitchToSheet("re");
            frame=0;
            add_free_leaf("comics",19,50);
            set_satelite_leaf("daus_bar");
            DoFile(19,50)
            ShowMenu(false);
          return; end;
          setcurentleaf("daus_bar",19,1);
          playeffect("door");  
          savegame(SaveLevel());        
        return; end;
            
      if obj_id > 0 and obj_id < 200 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end

      return; end;
        CreateWindow(150,250,"202",nil,nil,250,30);
      return; end;
    
  return; end;
  
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
  
  if sender==4 then
  -- WriteToConsole("sender = 4, lev19.0".." "..sender.."\n")
  if SLevel==1.0 then return;end;
  if flags.minicomplete20 then
      flags.loc1 = true;

  return;end;
  flags.all1=true;
  return; end;  
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if (not flags.minicomplete20) then
    selectrandomobject(1.5,11);
  return; end;
  if flags.loc1 then
    selectrandomobject(1.5,43);
  return; end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)


  selectrandomobject(1.5,idObject);
end;
